package com.bcxin.identify.util.codes;

import java.awt.*;

/**
 * 颜色大全
 * @date 2020-06-09
 * @auth llc
 */
public class BcxColor {
    public final static Color LightPink          = new  Color(255,182,193);  // 浅粉色
    public final static Color Pink               = new  Color(255,192,203);  // 粉红
    public final static Color Crimson            = new  Color(220,20,60);    // 猩红
    public final static Color LavenderBlush      = new  Color(255,240,245);  // 脸红的淡紫色
    public final static Color PaleVioletRed      = new  Color(219,112,147);  // 苍白的紫罗兰红色
    public final static Color HotPink            = new  Color(255,105,180);  // 热情的粉红
    public final static Color DeepPink           = new  Color(255,20,147);   // 深粉色
    public final static Color MediumVioletRed    = new  Color(199,21,133);   // 适中的紫罗兰红色
    public final static Color Orchid             = new  Color(218,112,214);  // 兰花的紫色
    public final static Color Thistle            = new  Color(216,191,216);  // 蓟
    public final static Color plum               = new  Color(221,160,221);  // 李子
    public final static Color Violet             = new  Color(238,130,238);  // 紫罗兰
    public final static Color Magenta            = new  Color(255,0,255);    // 洋红
    public final static Color Fuchsia            = new  Color(255,0,255);    // 灯笼海棠(紫红色)
    public final static Color DarkMagenta        = new  Color(139,0,139);    // 深洋红色
    public final static Color Purple             = new  Color(128,0,128);    // 紫色
    public final static Color MediumOrchid       = new  Color(186,85,211);   // 适中的兰花紫
    public final static Color DarkVoilet         = new  Color(148,0,211);    // 深紫罗兰色
    public final static Color DarkOrchid         = new  Color(153,50,204);   // 深兰花紫
    public final static Color Indigo             = new  Color(75,0,130);     // 靛青
    public final static Color BlueViolet         = new  Color(138,43,226);   // 深紫罗兰的蓝色
    public final static Color MediumPurple       = new  Color(147,112,219);  // 适中的紫色
    public final static Color MediumSlateBlue    = new  Color(123,104,238);  // 适中的板岩暗蓝灰色
    public final static Color SlateBlue          = new  Color(106,90,205);   // 板岩暗蓝灰色
    public final static Color DarkSlateBlue      = new  Color(72,61,139);    // 深岩暗蓝灰色
    public final static Color Lavender           = new  Color(230,230,250);  // 薰衣草花的淡紫色
    public final static Color GhostWhite         = new  Color(248,248,255);  // 幽灵的白色
    public final static Color Blue               = new  Color(0,0,255);      // 纯蓝
    public final static Color MediumBlue         = new  Color(0,0,205);      // 适中的蓝色
    public final static Color MidnightBlue       = new  Color(25,25,112);    // 午夜的蓝色
    public final static Color DarkBlue           = new  Color(0,0,139);      // 深蓝色
    public final static Color Navy               = new  Color(0,0,128);      // 海军蓝
    public final static Color RoyalBlue          = new  Color(65,105,225);   // 皇军蓝
    public final static Color CornflowerBlue     = new  Color(100,149,237);  // 矢车菊的蓝色
    public final static Color LightSteelBlue     = new  Color(176,196,222);  // 淡钢蓝
    public final static Color LightSlateGray     = new  Color(119,136,153);  // 浅石板灰
    public final static Color SlateGray          = new  Color(112,128,144);  // 石板灰
    public final static Color DoderBlue          = new  Color(30,144,255);   // 道奇蓝
    public final static Color AliceBlue          = new  Color(240,248,255);  // 爱丽丝蓝
    public final static Color SteelBlue          = new  Color(70,130,180);   // 钢蓝
    public final static Color LightSkyBlue       = new  Color(135,206,250);  // 淡蓝色
    public final static Color SkyBlue            = new  Color(135,206,235);  // 天蓝色
    public final static Color DeepSkyBlue        = new  Color(0,191,255);    // 深天蓝
    public final static Color LightBLue          = new  Color(173,216,230);  // 淡蓝
    public final static Color PowDerBlue         = new  Color(176,224,230);  // 火药蓝
    public final static Color CadetBlue          = new  Color(95,158,160);   // 军校蓝
    public final static Color Azure              = new  Color(240,255,255);  // 蔚蓝色
    public final static Color LightCyan          = new  Color(225,255,255);  // 淡青色
    public final static Color PaleTurquoise      = new  Color(175,238,238);  // 苍白的绿宝石
    public final static Color Cyan               = new  Color(0,255,255);    // 青色
    public final static Color Aqua               = new  Color(0,255,255);    // 水绿色
    public final static Color DarkTurquoise      = new  Color(0,206,209);    // 深绿宝石
    public final static Color DarkSlateGray      = new  Color(47,79,79);     // 深石板灰
    public final static Color DarkCyan           = new  Color(0,139,139);    // 深青色
    public final static Color Teal               = new  Color(0,128,128);    // 水鸭色
    public final static Color MediumTurquoise    = new  Color(72,209,204);   // 适中的绿宝石
    public final static Color LightSeaGreen      = new  Color(32,178,170);   // 浅海洋绿
    public final static Color Turquoise          = new  Color(64,224,208);   // 绿宝石
    public final static Color Auqamarin          = new  Color(127,255,170);  // 绿玉碧绿色
    public final static Color MediumAquamarine   = new  Color(0,250,154);    // 适中的碧绿色
    public final static Color MediumSpringGreen  = new  Color(245,255,250);  // 适中的春天的绿色
    public final static Color MintCream          = new  Color(0,255,127);    // 薄荷奶油
    public final static Color SpringGreen        = new  Color(60,179,113);   // 春天的绿色
    public final static Color SeaGreen           = new  Color(46,139,87);    // 海洋绿
    public final static Color Honeydew           = new  Color(240,255,240);  // 蜂蜜
    public final static Color LightGreen         = new  Color(144,238,144);  // 淡绿色
    public final static Color PaleGreen          = new  Color(152,251,152);  // 苍白的绿色
    public final static Color DarkSeaGreen       = new  Color(143,188,143);  // 深海洋绿
    public final static Color LimeGreen          = new  Color(50,205,50);    // 酸橙绿
    public final static Color Lime               = new  Color(0,255,0);      // 酸橙色
    public final static Color ForestGreen        = new  Color(34,139,34);    // 森林绿
    public final static Color Green              = new  Color(0,128,0);      // 纯绿
    public final static Color DarkGreen          = new  Color(0,100,0);      // 深绿色
    public final static Color Chartreuse         = new  Color(127,255,0);    // 查特酒绿
    public final static Color LawnGreen          = new  Color(124,252,0);    // 草坪绿
    public final static Color GreenYellow        = new  Color(173,255,47);   // 绿黄色
    public final static Color OliveDrab          = new  Color(85,107,47);    // 橄榄土褐色
    public final static Color Beige              = new  Color(107,142,35);   // 米色(浅褐色)
    public final static Color LightGoldenrodYell = new  Color(250,250,210);  // 浅秋麒麟黄
    public final static Color Ivory              = new  Color(255,255,240);  // 象牙
    public final static Color LightYellow        = new  Color(255,255,224);  // 浅黄色
    public final static Color Yellow             = new  Color(255,255,0);    // 纯黄
    public final static Color Olive              = new  Color(128,128,0);    // 橄榄
    public final static Color DarkKhaki          = new  Color(189,183,107);  // 深卡其布
    public final static Color LemonChiffon       = new  Color(255,250,205);  // 柠檬薄纱
    public final static Color PaleGodenrod       = new  Color(238,232,170);  // 灰秋麒麟
    public final static Color Khaki              = new  Color(240,230,140);  // 卡其布
    public final static Color Gold               = new  Color(255,215,0);    // 金
    public final static Color Cornislk           = new  Color(255,248,220);  // 玉米色
    public final static Color GoldEnrod          = new  Color(218,165,32);   // 秋麒麟
    public final static Color FloralWhite        = new  Color(255,250,240);  // 花的白色
    public final static Color OldLace            = new  Color(253,245,230);  // 老饰带
    public final static Color Wheat              = new  Color(245,222,179);  // 小麦色
    public final static Color Moccasin           = new  Color(255,228,181);  // 鹿皮鞋
    public final static Color Orange             = new  Color(255,165,0);    // 橙色
    public final static Color PapayaWhip         = new  Color(255,239,213);  // 番木瓜
    public final static Color BlanchedAlmond     = new  Color(255,235,205);  // 漂白的杏仁
    public final static Color NavajoWhite        = new  Color(255,222,173);  // Navajo白
    public final static Color AntiqueWhite       = new  Color(250,235,215);  // 古代的白色
    public final static Color Tan                = new  Color(210,180,140);  // 晒黑
    public final static Color BrulyWood          = new  Color(222,184,135);  // 结实的树
    public final static Color Bisque             = new  Color(255,228,196);  // (浓汤)乳脂,番茄等
    public final static Color DarkOrange         = new  Color(255,140,0);    // 深橙色
    public final static Color Linen              = new  Color(250,240,230);  // 亚麻布
    public final static Color Peru               = new  Color(205,133,63);   // 秘鲁
    public final static Color PeachPuff          = new  Color(255,218,185);  // 桃色
    public final static Color SandyBrown         = new  Color(244,164,96);   // 沙棕色
    public final static Color Chocolate          = new  Color(210,105,30);   // 巧克力
    public final static Color SaddleBrown        = new  Color(139,69,19);    // 马鞍棕色
    public final static Color SeaShell           = new  Color(255,245,238);  // 海贝壳
    public final static Color Sienna             = new  Color(160,82,45);    // 黄土赭色
    public final static Color LightSalmon        = new  Color(255,160,122);  // 浅鲜肉(鲑鱼)色
    public final static Color Coral              = new  Color(255,127,80);   // 珊瑚
    public final static Color OrangeRed          = new  Color(255,69,0);     // 橙红色
    public final static Color DarkSalmon         = new  Color(233,150,122);  // 深鲜肉(鲑鱼)色
    public final static Color Tomato             = new  Color(255,99,71);    // 番茄
    public final static Color MistyRose          = new  Color(255,228,225);  // 薄雾玫瑰
    public final static Color Salmon             = new  Color(250,128,114);  // 鲜肉(鲑鱼)色
    public final static Color Snow               = new  Color(255,250,250);  // 雪
    public final static Color LightCoral         = new  Color(240,128,128);  // 淡珊瑚色
    public final static Color RosyBrown          = new  Color(188,143,143);  // 玫瑰棕色
    public final static Color IndianRed          = new  Color(205,92,92);    // 印度红
    public final static Color Red                = new  Color(255,0,0);      // 纯红
    public final static Color Brown              = new  Color(165,42,42);    // 棕色
    public final static Color FireBrick          = new  Color(178,34,34);    // 耐火砖
    public final static Color DarkRed            = new  Color(139,0,0);      // 深红色
    public final static Color Maroon             = new  Color(128,0,0);      // 栗色
    public final static Color White              = new  Color(255,255,255);  // 纯白
    public final static Color WhiteSmoke         = new  Color(245,245,245);  // 白烟
    public final static Color Gainsboro          = new  Color(220,220,220);  // Gainsboro
    public final static Color LightGrey          = new  Color(211,211,211);  // 浅灰色
    public final static Color Silver             = new  Color(192,192,192);  // 银白色
    public final static Color DarkGray           = new  Color(169,169,169);  // 深灰色
    public final static Color Gray               = new  Color(128,128,128);  // 灰色
    public final static Color DimGray            = new  Color(105,105,105);  // 暗淡的灰色
    public final static Color Black              = new  Color(0,0,0);        // 纯黑
    public final static Color CerBlue            = new  Color(67,142,219);  // 证件蓝
}
